<?php
/**
 * Hooks for importer
 *
 * @package MrBara
 */


/**
 * Importer the demo content
 *
 * @since  1.0
 *
 */
function delizus_importer() {
	return array(
		array(
			'name'       => 'Home Dark',
			'preview'    => get_template_directory_uri().'/framework/import-demo/dark1.jpg',
			'content'    => get_template_directory_uri().'/framework/import-demo/dark/demo-content.xml',
			'customizer' => get_template_directory_uri().'/framework/import-demo/dark/customizer.dat',
			'sliders'    => get_template_directory_uri().'/framework/import-demo/dark/sliders.zip',
			'pages'      => array(
				'front_page' => 'Home',
				'blog'       => 'Blog'
			),
			'menus'      => array(
				'primary'      => 'menu-main',
			),
		),
		array(
			'name'       => 'Home Background Video',
			'preview'    => get_template_directory_uri().'/framework/import-demo/dark2.jpg',
			'content'    => get_template_directory_uri().'/framework/import-demo/dark/demo-content.xml',
			'customizer' => get_template_directory_uri().'/framework/import-demo/dark/customizer.dat',
			'sliders'    => get_template_directory_uri().'/framework/import-demo/dark/sliders.zip',
			'pages'      => array(
				'front_page' => 'Home Background Video',
				'blog'       => 'Blog'
			),
			'menus'      => array(
				'primary'      => 'menu-main',
			),
		),
		array(
			'name'       => 'Home New',
			'preview'    => get_template_directory_uri().'/framework/import-demo/dark3.jpg',
			'content'    => get_template_directory_uri().'/framework/import-demo/dark/demo-content.xml',
			'customizer' => get_template_directory_uri().'/framework/import-demo/dark/customizer.dat',
			'sliders'    => get_template_directory_uri().'/framework/import-demo/dark/sliders.zip',
			'pages'      => array(
				'front_page' => 'Home New',
				'blog'       => 'Blog'
			),
			'menus'      => array(
				'primary'      => 'menu-main',
			),
		),
		array(
			'name'       => 'Home Light',
			'preview'    => get_template_directory_uri().'/framework/import-demo/light1.jpg',
			'content'    => get_template_directory_uri().'/framework/import-demo/light/demo-content.xml',
			'customizer' => get_template_directory_uri().'/framework/import-demo/light/customizer.dat',
			'sliders'    => get_template_directory_uri().'/framework/import-demo/light/sliders.zip',
			'pages'      => array(
				'front_page' => 'Home',
				'blog'       => 'Blog'
			),
			'menus'      => array(
				'primary'      => 'menu-main',
			),
		),
		array(
			'name'       => 'Home Light Background Video',
			'preview'    => get_template_directory_uri().'/framework/import-demo/light2.jpg',
			'content'    => get_template_directory_uri().'/framework/import-demo/light/demo-content.xml',
			'customizer' => get_template_directory_uri().'/framework/import-demo/light/customizer.dat',
			'sliders'    => get_template_directory_uri().'/framework/import-demo/light/sliders.zip',
			'pages'      => array(
				'front_page' => 'Home Background Video',
				'blog'       => 'Blog'
			),
			'menus'      => array(
				'primary'      => 'menu-main',
			),
		),
		array(
			'name'       => 'Home Light Parallax',
			'preview'    => get_template_directory_uri().'/framework/import-demo/light3.jpg',
			'content'    => get_template_directory_uri().'/framework/import-demo/light/demo-content.xml',
			'customizer' => get_template_directory_uri().'/framework/import-demo/light/customizer.dat',
			'sliders'    => get_template_directory_uri().'/framework/import-demo/light/sliders.zip',
			'pages'      => array(
				'front_page' => 'Home Parallax',
				'blog'       => 'Blog'
			),
			'menus'      => array(
				'primary'      => 'menu-main',
			),
		)
	);
}

add_filter( 'soo_demo_packages', 'delizus_importer', 30 );